/* Copyright (c) 1996 by Lele Gaifax.  All Rights Reserved
 *
 * This software may be used and distributed freely for any purpose
 * provided that this notice is included unchanged on any and all
 * copies. The author does not warrant or guarantee this software in
 * any way.
 *
 * This file is part of PyObjC package.
 *
 * $RCSfile: OC_Pasteboard.h,v $
 * $Revision: 1.4 $
 * $Date: 1996/11/15 02:33:38 $
 *
 * Created Thu Oct 17 16:40:09 1996.
 */

#ifndef _OC_Pasteboard_H
#define _OC_Pasteboard_H

#ifdef GNU_RUNTIME
#ifndef WITH_FOUNDATION
#define WITH_FOUNDATION
#endif
#include <appkit/NSPasteboard.h>
#define OC_PASTEBOARD_SUPER_CLASS NSPasteboard
#define OC_PASTEBOARD_STRING NSString
#else
#include <objc/List.h>
#include <appkit/Pasteboard.h>
#define OC_PASTEBOARD_SUPER_CLASS Pasteboard
#define OC_PASTEBOARD_STRING const char 
#endif

// This is needed only to avoid -ObjC link flag.
extern void oc_pasteboard_ensure_link();

#include "OC_Stream.h"

@class OC_PythonObject;

@interface OC_PASTEBOARD_SUPER_CLASS (OC_Pasteboard)

#ifndef WITH_FOUNDATION

/*#M Return the unique pasteboard object named @var{name}. */
+ (OC_PASTEBOARD_SUPER_CLASS *) pasteboardWithName:(OC_PASTEBOARD_STRING *) name;

/*#M Read from the pasteboard an object of type @var{type}, and return
  it as an @code{OC_Stream} under NeXTSTEP, or as a @code{NSData} under
  OpenStep. */
- (OC_Stream *) dataForType:(OC_PASTEBOARD_STRING *) type;

/*#M Write @var{data}, of type @var{dataType}, to the
  pasteboard. @var{data} must be an @code{OC_Stream}, but under
  OpenStep it may actually be a @code{NSData} instance. */
- (BOOL) setData:(OC_PythonObject *) data
	 forType:(OC_PASTEBOARD_STRING *) dataType;

/*#M Return the list of acceptable types as a List, instead of a C array. */
- (List *) listOfTypes;

#else

/*#M Same as @code{[self types]}. */
- (NSArray *) listOfTypes;

#endif

@end

#endif /* _OC_Pasteboard_H */

/*
** Local Variables:
** change-log-default-name:"../ChangeLog.PyObjC"
** End:
*/
