/* Copyright (c) 1996 by Lele Gaifax.  All Rights Reserved
 *
 * This software may be used and distributed freely for any purpose
 * provided that this notice is included unchanged on any and all
 * copies. The author does not warrant or guarantee this software in
 * any way.
 *
 * This file is part of the PyObjC package.
 *
 * $RCSfile: OC_PythonBundle.h,v $
 * $Revision: 1.1.1.1 $
 * $Date: 1996/10/23 17:19:36 $
 *
 * Created Wed Oct 16 17:35:05 1996.
 * Thanx to Bill Bumgarner for the idea and first implementation.
 */

#ifndef _OC_PythonBundle_H
#define _OC_PythonBundle_H

#ifdef GNU_RUNTIME
#ifndef WITH_FOUNDATION
#define WITH_FOUNDATION
#endif
#include <Foundation/NSBundle.h>
#define OC_PYTHONBUNDLE_SUPER_CLASS NSBundle
#else
#include <objc/NXBundle.h>
#define OC_PYTHONBUNDLE_SUPER_CLASS NXBundle
#endif

/*#C This class fills specific Python needs about bundles. */  
@interface OC_PythonBundle : OC_PYTHONBUNDLE_SUPER_CLASS
{
}

//#M Initialize the version number of this class.
+ (void) initialize;

/*#M Find the name of the main script in  execution, and return a
  bundle relative to the script's pathname; if we are in interactive
  mode, a bundle on the current working directory is returned. */
+ (OC_PYTHONBUNDLE_SUPER_CLASS *) mainBundle;

@end

#ifndef WITH_FOUNDATION

@interface NXBundle (OC_PythonBundle)

/*#M Provides a Foundation-like access to NXBundle'
  @code{-getPath:forResource:ofType:inDirectory:withVersion:}. Returns
  the path on success, NULL otherwise. */
+ (const char *) pathForResource:(const char *) name
			  ofType:(const char *) ext
		     inDirectory:(const char *) bundlePath
		     withVersion:(int) version;

/*#M Provides a Foundation-like access to NXBundle'
  @code{-getPath:forResource:}. Returns the path on success, NULL
  otherwise. */
- (const char *) pathForResource:(const char *) name
			  ofType:(const char *) ext;

@end /* OC_PythonBundle class interface */

#endif

#endif /* _OC_PythonBundle_H */

/*
** Local Variables:
** change-log-default-name:"../ChangeLog.PyObjC"
** End:
*/
