/**
*** Copyright (c) 1996 by Bill Bumgarner.  All Rights Reserved
*** 
*** This software may be used and distributed freely for any purpose
*** provided that this notice is included unchanged on any and all copies.
*** The author does not warrant or guarantee this software in any way.
*** 
*** 
*** All queries, patches, and discussions of the PyObjC project should be
*** directed to <objc-sig@python.org>.  The author can be reached via
*** <bbum@friday.com>.
*** 
*** $RCSfile: PyServicesDelegate.h,v $
*** 
*** $Revision: 1.1 $
*** 
*** $Date: 1996/10/04 20:56:29 $
*** 
**/

@class Pasteboard;

@interface PyServicesDelegate : Object
{
    id <PythonObject> handler; /*" python object that will handle service "*/
    const char *errMessageStore; /*" temporary store for error message "*/
}

/*"
 *  Instantiation
"*/
+ newWithHandler: (id <PythonObject>) aHandler; 
- initWithHandler: (id <PythonObject>) aHandler;

/*"
 *  Destruction
"*/
- free;

/*"
 *  Setting the error message
"*/
- (void) setErrorMessage: (const char *) aMessage;

/*"
 * Services Handler
"*/
- forwardService: (Pasteboard *) pb
	userData: (const char *)userData
	   error: (char **)errorMessage;
@end
